Company logoTrust Center Documentation

Update user profile

Update user profile information including personal details, preferences, and status. Non-admins can update their own profile fields; admins can update any…

Update user profile information including personal details, preferences, and status. Non-admins can update their own profile fields; admins can update any user in their tenant and are required for role or status changes.

PATCH
/api/v1/users/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

User ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://app.orbiqhq.com/api/v1/users/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "first_name": "Jane",    "last_name": "Smith",    "title": "Senior Compliance Manager"  }'
{
  "success": true,
  "data": {
    "user": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "first_name": "string",
      "last_name": "string",
      "email": "user@example.com",
      "title": "string",
      "theme": "light",
      "language": "string",
      "status": "active"
    }
  }
}
{
  "error": "No valid fields provided for update"
}
Empty

{
  "error": "Insufficient permissions to change roles"
}

Empty
Empty

How is this guide?